
QGIS Application - Bug report #14168

Deleting nodes - inconsistent behaviour

2016-01-25 09:47 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22170

Description

1- Open QGIS

2- Add a polygon layer

3- Change to edit mode

4- For one of the polygons...select all the nodes....except leave 2 nodes unselected

5- Hit Delete key on the keyboard

All the feature is deleted.

Repead the above, but for step 4 leave only 1 node unselected. 

Hit Delete...nothing happens.

IMO, all the feature should be removed (similar to the first case).

Associated revisions

Revision 4ec09120 - 2016-01-27 10:12 AM - Nyall Dawson

Fix inconsistent behaviour when deleting nodes with node tool

(fix #14168)

History

#1 - 2016-01-27 01:12 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"4ec09120017531caa535b3ae4392ea60fd245bbf".
